use SVH_REPORT_DB
go


DECLARE @PERIODO_DATAMART VARCHAR(6)
SET @PERIODO_DATAMART = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112)

/*
|| Primer script de borrado. Estos activos se borran desde el mes de mayo
*/

TRUNCATE TABLE [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]

INSERT INTO [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]
SELECT SOCIEDAD, UNIDAD_REGISTRAL, CODIGO_ACTUACION_ALTA, DESC_CODIGO_ACTUACION_ALTA, CODIGO_ACTUACION_BAJA, DESC_CODIGO_ACTUACION_BAJA, CONTROL_CARTERA, '2022.05' MES_INICIO_BORRADO, 'X' IND_BORRADO 
FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = @PERIODO_DATAMART AND UNIDAD_REGISTRAL IN
(
60719372,
60719308,
60724571,
60719247,
60720718,
60720785,
60724558,
60719531,
60719647,
60724559,
60720608,
60724562,
60720613,
60715176,
60724561,
60723869,
60716142,
60720525,
60716154,
60724557,
60724560,
60718969,
60719112,
60719242,
60720563,
60720773,
60719420,
60719289,
60719295,
60719414,
60720644,
60719428,
60719541,
60719665,
60716176,
60718819,
60716145,
60715931,
60718944,
60719256,
60719320,
60706905,
60719378,
60719445,
60715922,
60719120,
60719126,
60718961,
60720557,
60720640,
60719083,
60719226,
60724526,
60724529,
60718826,
60718834,
60719169,
60719490,
60719548,
60715915,
60720530,
60720536,
60723871,
60715103,
60715859,
60719342,
60719351,
60718937,
60719113,
60719357,
60719506,
60718810,
60718929,
60719139,
60719316,
60719432,
60719618,
60720780,
60719404,
60720551,
60720634,
60720750,
60720547,
60719155,
60719271,
60719396,
60719628,
60719637,
60720540,
60720598,
60720800,
60719147,
60719205,
60719263,
60719440,
60719565,
60720795,
60719090,
60719106,
60719363,
60719482,
60719161,
60719283,
60719598,
60719656,
60719399,
60719408,
60719460,
60719466,
60719582,
60719211,
60719220,
60719148,
60719278,
60719336,
60719522,
60719328,
60720518,
60719386,
60719389,
60719392,
60719450,
60719514,
60719572,
60719135,
60719379,
60719498,
60719556,
60706755,
60716171,
60715780,
60719233,
60719410,
60719413,
60718979,
60719474,
60719590,
60719046,
60719098,
60719609,
60720570,
60719073,
60719121,
60719301,
60719362,
60719371,
60718802,
60720788,
60718953,
60715941,
60715206,
60716150)

/*
|| Segundo script de borrado. Estos activos se borran desde el mes de junio
*/

INSERT INTO [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]
SELECT SOCIEDAD, UNIDAD_REGISTRAL, CODIGO_ACTUACION_ALTA, DESC_CODIGO_ACTUACION_ALTA, CODIGO_ACTUACION_BAJA, DESC_CODIGO_ACTUACION_BAJA, CONTROL_CARTERA, '2022.06' MES_INICIO_BORRADO, 'X' IND_BORRADO 
FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = @PERIODO_DATAMART AND UNIDAD_REGISTRAL IN
(
60719738,
60724080,
60719101,
60719180,
60719245,
60715641,
60716552,
60715746,
60715698,
60719269,
60719348,
60719174,
60719190,
60719196,
60715657,
60719214,
60720832,
60719254,
60719304,
60720848,
60716416,
60715086,
60715583,
60715601,
60715587,
60715044,
60715663,
60715635,
60715650,
60715712,
60716451,
60716375,
60716384,
60715246,
60715686,
60719707,
60720855,
60719731,
60720592,
60719189,
60716366,
60719223,
60706263,
60716255,
60716493,
60716543,
60715615,
60715056,
60715670,
60715073,
60715594,
60712718,
60715739,
60716290,
60719181,
60716298,
60716391,
60715261,
60719754,
60716434,
60716442,
60716357,
60719334,
60716425,
60716484,
60716477,
60719292,
60716281,
60715678,
60715266,
60719324,
60716348,
60719277,
60719285,
60715608,
60706279,
60719311,
60719745,
60715270,
60720840,
60715060,
60715033,
60715276,
60715065,
60715079,
60719698,
60716503,
60720823,
60720826,
60715727,
60720860,
60716272,
60716263,
60716323,
60716339,
60716408,
60715038,
60715093,
60716511,
60715098,
60719160,
60719197,
60715733,
60719299,
60720575,
60720704,
60720844,
60719722,
60715022,
60715571,
60715577,
60715705,
60719229,
60716306,
60716314,
60719318,
60719153,
60715255,
60719167,
60719237,
60719260,
60719682,
60716460,
60715027,
60719341,
60715302,
60719761,
60715691,
60719715,
60716532,
60719206,
60719692,
60716331,
60715051,
60716400
)

/*
|| Tercer script de borrado. Estos activos se borran desde el mes de julio
*/

INSERT INTO [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]
SELECT SOCIEDAD, UNIDAD_REGISTRAL, CODIGO_ACTUACION_ALTA, DESC_CODIGO_ACTUACION_ALTA, CODIGO_ACTUACION_BAJA, DESC_CODIGO_ACTUACION_BAJA, CONTROL_CARTERA, '2022.07' MES_INICIO_BORRADO, 'X' IND_BORRADO 
FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = @PERIODO_DATAMART AND UNIDAD_REGISTRAL IN
(
60726583,
60726473,
60733017,
60731947,
60731772,
60731775,
60725953,
60733488,
60727679,
60727693,
60731976,
60706198,
60727687,
60726584,
60726422,
60731774,
60731699
)


/*
|| Cuarto script de borrado. Estos activos se borran desde el mes de agosto
*/

INSERT INTO [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]
SELECT SOCIEDAD, UNIDAD_REGISTRAL, CODIGO_ACTUACION_ALTA, DESC_CODIGO_ACTUACION_ALTA, CODIGO_ACTUACION_BAJA, DESC_CODIGO_ACTUACION_BAJA, CONTROL_CARTERA, '2022.08' MES_INICIO_BORRADO, 'X' IND_BORRADO 
FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = @PERIODO_DATAMART AND UNIDAD_REGISTRAL IN
(
60733454,
60733455,
60733457,
60726085,
60733355,
60733460,
60734220
)